Subject: Re: [PATCH] remote: use plural-only message for diverged branch status

From: Junio C Hamano <[email-masked]>
Date: Sat, 14 Mar 2026 11:38:53 -0700

Junio C Hamano <[email-masked]> writes:

> "Harald Nordgren via GitGitGadget" <[email-masked]> writes:
>
>> From: Harald Nordgren <[email-masked]>
>>
>> Drop Q_() singular form and use _() with the plural string only.
>
> I know the commit title talks about plural-only, but please make
> sure that the body of the log message carries all the necessary
> information to justify the change standalone.  "In the else clause,
> both ours and theirs are positive integers so ours+theirs must be at
> least 2, hence there is no need to prepare singular and plural
> variants of the message", or something to that effect, perhaps.
>
> The patch text and the reasoning behind it does sound familiar and I
> vaguely recall discussing about it ;-)
>
> Thanks.

I queued the patch, tentatively with this rewritten message:

    remote: don't use Q_() when it is not needed

    In this code path, both ours and theirs are already known to be
    positive integers, so ours + theirs will always be plural, never
    using the first variant given to Q_().

    Just use _() with the plural string only.

    Signed-off-by: Harald Nordgren <[email-masked]>
    Signed-off-by: Junio C Hamano <[email-masked]>

Thanks.